package com.yanzhu.common.enums;

import com.yanzhu.common.core.text.Convert;

/**
 * 申请状态
 */
public enum ApplyStatusEnums {

    SQZ("1", "申请中"),
    DYS("10", "待验收"),
    YYS("100", "已验收");

    private final String code;
    private final String info;

    ApplyStatusEnums(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }

    public Long getLongCode()
    {
        return Convert.toLong(code);
    }
}
